Bug 1290389 - [abrt] kernel BUG at mm/memcontrol.c:5270!
[abrt] kernel BUG at mm/memcontrol.c:5270!
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d3a5a5d0a9f026407ddae3cb0b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 06:41 EST by Joachim Frieben
Modified: 2016-03-02 13:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 13:48:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (87.81 KB, text/plain)
2015-12-10 06:42 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2015-12-10 06:41:55 EST
Additional info:
reporter:       libreport-2.6.3
kernel BUG at mm/memcontrol.c:5270!
invalid opcode: 0000 [#1] SMP 
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_filter ebtable_nat ebtables ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_filter ip6_tables iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security coretemp kvm_intel kvm irqbypass snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic iTCO_wdt iTCO_vendor_support snd_hda_intel ppdev arc4 iwldvm mac80211 snd_hda_codec snd_hda_core snd_hwdep i2c_i801 snd_seq iwlwifi snd_seq_device lpc_ich cfg80211 r592 memstick snd_pcm mei_me thinkpad_acpi
 snd_timer rfkill wmi parport_pc video snd soundcore mei parport shpchp acpi_cpufreq tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc amdkfd amd_iommu_v2 radeon sdhci_pci sdhci e1000e serio_raw firewire_ohci i2c_algo_bit mmc_core drm_kms_helper firewire_core crc_itu_t yenta_socket ttm drm ptp pps_core fjes
CPU: 1 PID: 1448 Comm: gnome-session-b Not tainted 4.4.0-0.rc4.git0.1.fc24.x86_64 #1
Hardware name: LENOVO 2768W9J/2768W9J, BIOS 7UET94WW (3.24 ) 10/17/2012
task: ffff880133928000 ti: ffff880133a0c000 task.ti: ffff880133a0c000
RIP: 0010:[<ffffffff8121f914>]  [<ffffffff8121f914>] mem_cgroup_try_charge+0x184/0x200
RSP: 0000:ffff880133a0fc20  EFLAGS: 00010246
RAX: 0000000000000036 RBX: ffffea00028fdf80 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88013bc8dff8
RBP: ffff880133a0fc50 R08: 0000000000000000 R09: 0000000000000512
R10: 0000000000000000 R11: 0000000000000512 R12: 0000000000000000
R13: ffff880133a0fcd0 R14: 00000000024200ca R15: ffff88003668fb40
FS:  00007f1cb0ac6a80(0000) GS:ffff88013bc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000055ea29b0ad90 CR3: 0000000133993000 CR4: 00000000000406e0
Stack:
 0000000000000001 ffff8800affe42e8 0000000000000000 ffffea00028fdf80
 000000000000576a ffff8800affe4450 ffff880133a0fd10 ffffffff811c7962
 0000000000015daa ffff880133928000 ffff880133a0fdb8 ffff880133a0fd2c
Call Trace:
 [<ffffffff811c7962>] shmem_getpage_gfp+0x6b2/0x830
 [<ffffffff811c812e>] shmem_fault+0x6e/0x1e0
 [<ffffffff8179177e>] ? _raw_spin_unlock_irqrestore+0xe/0x10
 [<ffffffff811da71e>] __do_fault+0x4e/0xf0
 [<ffffffff811dfc96>] handle_mm_fault+0x10f6/0x1810
 [<ffffffff81067307>] __do_page_fault+0x197/0x400
 [<ffffffff8122b756>] ? vfs_read+0x86/0x130
 [<ffffffff8106759f>] do_page_fault+0x2f/0x80
 [<ffffffff81793ec8>] page_fault+0x28/0x30
Code: c6 40 a1 a6 81 48 89 df e8 0a 8a fb ff 0f 0b 89 45 d4 41 ff 54 24 20 8b 45 d4 e9 0c ff ff ff 48 c7 c6 60 a1 a6 81 e8 ec 89 fb ff <0f> 0b 4c 89 ff 89 55 d4 e8 2f a9 ff ff 8b 55 d4 49 89 c4 e9 bc 
RIP  [<ffffffff8121f914>] mem_cgroup_try_charge+0x184/0x200
 RSP <ffff880133a0fc20>
Comment 1 Joachim Frieben 2015-12-10 06:42:05 EST
Created attachment 1104316 [details]
File: dmesg
Comment 2 piio 2015-12-14 12:26:06 EST
Hi,

I encountered similar bug in recent rawhide kernels:

[16897.411734] page:ffffea000208c600 count:2 mapcount:0 mapping:          (null) index:0x0
[16897.411739] flags: 0x3ffff800048028(uptodate|lru|swapcache|swapbacked)
[16897.411744] page dumped because: VM_BUG_ON_PAGE(!PageLocked(page))
[16897.411769] ------------[ cut here ]------------
[16897.411795] kernel BUG at mm/memcontrol.c:5270!
[16897.411816] invalid opcode: 0000 [#1] SMP 
[16897.411838] Modules linked in: bluetooth fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack bbswitch(OE) ebtable_broute bridge stp llc ebtable_nat ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security uvcvideo intel_rapl iosf_mbi videobuf2_vmalloc x86_pkg_temp_thermal videobuf2_v4l2 videobuf2_core coretemp videobuf2_memops kvm_intel v4l2_common snd_hda_codec_idt videodev snd_hda_codec_generic kvm media irqbypass ppdev iTCO_wdt iTCO_vendor_support snd_hda_intel cdc_acm snd_hda_codec snd_hda_core snd_hwdep arc4 dell_wmi
[16897.412230]  sparse_keymap iwldvm mac80211 snd_seq dell_laptop dcdbas dell_smm_hwmon iwlwifi snd_seq_device cfg80211 i2c_i801 joydev dell_smo8800 dell_rbtn parport_pc lpc_ich parport snd_pcm rfkill snd_timer shpchp snd soundcore mei_me mei tpm_tis tpm nfsd nfs_acl lockd grace auth_rpcgss sunrpc binfmt_misc dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel serio_raw sdhci_pci sdhci cdc_mbim i2c_algo_bit cdc_ncm drm_kms_helper cdc_wdm usbnet mmc_core mii e1000e drm ptp pps_core wmi fjes video
[16897.412500] CPU: 1 PID: 3644 Comm: Xorg Tainted: G           OE   4.4.0-0.rc4.git0.1.fc24.x86_64 #1
[16897.412537] Hardware name: Dell Inc. Latitude E6430/02V2HC, BIOS A16 08/19/2014
[16897.412568] task: ffff8800aeb21e00 ti: ffff8800ca084000 task.ti: ffff8800ca084000
[16897.412599] RIP: 0010:[<ffffffff8121f914>]  [<ffffffff8121f914>] mem_cgroup_try_charge+0x184/0x200
[16897.412641] RSP: 0000:ffff8800ca0878f8  EFLAGS: 00010246
[16897.412664] RAX: 0000000000000036 RBX: ffffea000208c600 RCX: 0000000000000006
[16897.412693] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88022e28dff0
[16897.412722] RBP: ffff8800ca087928 R08: 000000000000000a R09: 00000000000004fe
[16897.412751] R10: 0000000000000000 R11: 00000000000004fe R12: 0000000000000000
[16897.412781] R13: ffff8800ca0879a8 R14: 0000000000021292 R15: ffff880221e35500
[16897.412810] FS:  00007f34dc072a00(0000) GS:ffff88022e280000(0000) knlGS:0000000000000000
[16897.412844] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[16897.412868] CR2: 00007f2fb0056038 CR3: 00000001f8dd1000 CR4: 00000000001406e0
[16897.412897] Stack:
[16897.412907]  0000000000000001 ffff8800902a6958 0000000000000000 ffffea000208c600
[16897.412944]  0000000000025188 ffff8800902a6ac0 ffff8800ca0879e8 ffffffff811c7962
[16897.412980]  0000000000094622 ffff8800aeb21e00 ffff8800ca0879f8 0000000000000000
[16897.413016] Call Trace:
[16897.413032]  [<ffffffff811c7962>] shmem_getpage_gfp+0x6b2/0x830
[16897.413059]  [<ffffffff813c0900>] ? sg_init_one+0x60/0x80
[16897.413083]  [<ffffffff811c7c30>] shmem_read_mapping_page_gfp+0x40/0x70
[16897.413131]  [<ffffffffa01c74aa>] i915_gem_object_get_pages_gtt+0x14a/0x3f0 [i915]
[16897.413177]  [<ffffffffa01c9104>] i915_gem_object_get_pages+0x44/0xc0 [i915]
[16897.413219]  [<ffffffffa01cd126>] i915_gem_object_do_pin+0x5e6/0xaa0 [i915]
[16897.413263]  [<ffffffffa01e7b3d>] ? gen6_write32+0x6d/0xe0 [i915]
[16897.413290]  [<ffffffff8120a766>] ? kmem_cache_alloc+0x1c6/0x1e0
[16897.413327]  [<ffffffffa01cd61a>] i915_gem_object_pin+0x3a/0x40 [i915]
[16897.413366]  [<ffffffffa01bca81>] i915_gem_execbuffer_reserve_vma.isra.18+0x91/0x150 [i915]
[16897.413411]  [<ffffffffa01bce5a>] i915_gem_execbuffer_reserve.isra.19+0x31a/0x360 [i915]
[16897.413455]  [<ffffffffa01bd9b9>] i915_gem_do_execbuffer.isra.25+0x7b9/0x1310 [i915]
[16897.413489]  [<ffffffff8115bde0>] ? __delayacct_blkio_end+0x30/0x50
[16897.413518]  [<ffffffff8178d2dd>] ? io_schedule_timeout+0xdd/0x110
[16897.413545]  [<ffffffff813b8c79>] ? timerqueue_add+0x59/0xb0
[16897.413580]  [<ffffffffa01bf142>] i915_gem_execbuffer2+0xb2/0x240 [i915]
[16897.413619]  [<ffffffffa01cb362>] ? i915_gem_busy_ioctl+0x92/0xe0 [i915]
[16897.413656]  [<ffffffffa003b602>] drm_ioctl+0x152/0x540 [drm]
[16897.413691]  [<ffffffffa01bf090>] ? i915_gem_execbuffer+0x310/0x310 [i915]
[16897.413722]  [<ffffffff8133b6bc>] ? selinux_file_ioctl+0x10c/0x1c0
[16897.413750]  [<ffffffff8123e568>] do_vfs_ioctl+0x298/0x480
[16897.413775]  [<ffffffff81146ddb>] ? __audit_syscall_entry+0xab/0xf0
[16897.413803]  [<ffffffff81332f33>] ? security_file_ioctl+0x43/0x60
[16897.413830]  [<ffffffff8123e7c9>] SyS_ioctl+0x79/0x90
[16897.413853]  [<ffffffff81791cee>] entry_SYSCALL_64_fastpath+0x12/0x71
[16897.413880] Code: c6 40 a1 a6 81 48 89 df e8 0a 8a fb ff 0f 0b 89 45 d4 41 ff 54 24 20 8b 45 d4 e9 0c ff ff ff 48 c7 c6 60 a1 a6 81 e8 ec 89 fb ff <0f> 0b 4c 89 ff 89 55 d4 e8 2f a9 ff ff 8b 55 d4 49 89 c4 e9 bc 
[16897.414071] RIP  [<ffffffff8121f914>] mem_cgroup_try_charge+0x184/0x200
[16897.415702]  RSP <ffff8800ca0878f8>
[16897.424494] ---[ end trace 0819edf1717b9485 ]---
Comment 3 piio 2015-12-14 12:32:34 EST
I found thread related to this bug at https://lkml.org/lkml/2015/12/14/190

Note You need to log in before you can comment on or make changes to this bug.